"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class RelatednessPair(ProtocolElement):
    """
    Relatedness ========================================
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_0 import metrics as metrics_1_2_0

        return {
            "org.gel.models.metrics.avro.RelatednessPair": metrics_1_2_0.RelatednessPair,
        }

    __slots__ = [
        "ibd0",
        "ibd1",
        "ibd2",
        "piHat",
        "sampleId1",
        "sampleId2",
    ]

    def __init__(
        self,
        ibd0=None,
        ibd1=None,
        ibd2=None,
        piHat=None,
        sampleId1=None,
        sampleId2=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_0.RelatednessPair model.

        :param ibd0:
            Estimated proportion of autosome with 0 alleles shared
        :type ibd0: None | double
        :param ibd1:
            Estimated proportion of autosome with 1 allele shared
        :type ibd1: None | double
        :param ibd2:
            Estimated proportion of autosome with 2 alleles shared
        :type ibd2: None | double
        :param piHat:
            Estimated overall proportion of shared autosomal DNA
        :type piHat: None | double
        :param sampleId1:
            Sample Id of one of the samples in the pair
        :type sampleId1: None | str
        :param sampleId2:
            Sample Id of the other sample in the pair
        :type sampleId2: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
